
Redmine - Defect #4401

Attachments get saved on issue update even if validation fails

2009-12-15 11:06 - Vlad Ershov

Status: Closed Start date: 2009-12-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 0.9.1   

Resolution: Fixed Affected version: 0.8.5

Description

There is small bug when I'm trying to update issue.

I'm set "Spent time" with "Activity" field empty and select file for uploading.

I have got error "Activity can't be blank". Ok, set Activity and submit one more.

New update is created but there is no mentioning about uploaded file, but issue attachment list has link to new file.

Related issues:

Related to Redmine - Defect #6625: Attachments lost when activity field error... Closed 2010-10-11

Associated revisions

Revision 3305 - 2010-01-10 15:05 - Jean-Philippe Lang

Fixed: attachments get saved on issue update even if validation fails (#4401).

History

#1 - 2010-01-10 14:58 - Jean-Philippe Lang

- Subject changed from bug during issue update to Attachments get saved on issue update even if validation fails

- Status changed from New to Resolved

- Target version set to 0.9.1

- Resolution set to Fixed

Fixed in r3305.

#2 - 2010-01-16 17:06 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.9-stable in r3317.
